---

- name: Display test name
  ansible.builtin.debug:
    msg: Running TEST 01 - run role {{ collection_role_list }} from start to finish

- name: run the role(s) to test
  ansible.builtin.include_role:
    name: "{{ role_to_test }}"
  loop: "{{ collection_role_list }}"
  loop_control:
    loop_var: role_to_test

- name: Run handlers after finishing role
  ansible.builtin.meta: flush_handlers
